Last Comment Bug 566959 - make JSProxyHandler::family a data member instead of a virtual method call?
: make JSProxyHandler::family a data member instead of a virtual method call?
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 14:53 PDT by Andreas Gal :gal
Modified: 2011-11-30 06:57 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Andreas Gal :gal 2010-05-19 14:53:30 PDT
Might be faster. Only blake will use this, so asking him for input.
Comment 1 Ryan VanderMeulen [:RyanVM] 2011-11-24 11:01:02 PST
Unless mxr is lying to me, JSProxyHandler appears to be gone. Please reopen if that's the case.
Comment 2 Bill McCloskey (:billm) 2011-11-29 10:58:38 PST
It's now js::ProxyHandler. I don't know if the bug is still valid, though.
Comment 3 Blake Kaplan (:mrbkap) (please use needinfo!) 2011-11-30 06:57:59 PST
This actually got fixed as part of the patch for bug 574299 a long time ago (see jsproxy.h, js::ProxyHandler::family is an inline function and not virtual).

Note You need to log in before you can comment on or make changes to this bug.